# $Revision: 1.7 $, $Date: 2006/11/28 11:22:59 $
%define		_modname	gnupg
%define		_status		stable
%define		_sysconfdir	/etc/php4
%define		extensionsdir	%(php-config --extension-dir 2>/dev/null)

Summary:	%{_modname} - wrapper around the gpgme library
Summary(pl):	%{_modname} - wrapper biblioteki gpgme
Name:		php4-pecl-%{_modname}
Version:	1.3
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	cab58faebb422fac2e4b95edfe2f99e6
URL:		http://pecl.php.net/package/gnupg/
BuildRequires:	gpgme-devel
BuildRequires:	php4-devel >= 3:4.3.0
BuildRequires:	rpmbuild(macros) >= 1.322
%{?requires_php_extension}
Requires:	%{_sysconfdir}/conf.d
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This extension provides methods to interact with gnupg. So you can
sign, encrypt, verify directly from PHP.

In PECL status of this extension is: %{_status}.

%description -l pl
To rozszerzenie dostarcza metody wsppracy z gnupg. Umoliwia to
podpisywanie, szyfrowanie oraz weryfikacj danych z poziomu PHP.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/conf.d,%{extensionsdir}}

install %{_modname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{extensionsdir}
cat <<'EOF' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -f /etc/apache/conf.d/??_mod_php4.conf ] || %service -q apache restart
[ ! -f /etc/httpd/httpd.conf/??_mod_php4.conf ] || %service -q httpd restart

%postun
if [ "$1" = 0 ]; then
	[ ! -f /etc/apache/conf.d/??_mod_php4.conf ] || %service -q apache restart
	[ ! -f /etc/httpd/httpd.conf/??_mod_php4.conf ] || %service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/{EXPERIMENTAL,README}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{extensionsdir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php4-pecl-gnupg.spec,v $
Revision 1.7  2006/11/28 11:22:59  adamg
- updated to 1.3

Revision 1.6  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.5  2006/04/23 15:56:36  adamg
- updated to 1.1

Revision 1.4  2005/12/02 09:57:04  adamg
- updated to 0.7.1
- tsrm_ls.patch removed (applied upstream)

Revision 1.3  2005/11/16 07:03:49  qboosh
- pl fix

Revision 1.2  2005/11/12 18:11:06  adamg
- fixed url (thx glen)

Revision 1.1  2005/11/12 17:58:52  adamg
- new
